
Figure - 开发 Dev #113244
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110660 (New): 【MK】【027】【MCU】主任务

开发 Dev # 112215 (解决 Resolved): 【MK】【027】【MCU】【TC-RID:1201-0102705】MUC软件版本接口

【MK】【027】【MCU】【TC-RID:1201-0102705】MUC软件版本，兼容EVT1和EVT2的硬件
2022-10-28 13:31 - CD BSP-唐金泽

Status: 完成 Closed Start date: 2022-10-28

Priority: Normal Due date:

Assignee: CD BSP-唐金泽 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

MUC软件版本，兼容EVT1和EVT2的硬件

History

#1 - 2022-11-07 15:56 - CD BSP-陈杰

- Status changed from 进行中 In Progress to 完成 Closed

- Assignee changed from CD BSP-陈杰 to CD BSP-唐金泽

- % Done changed from 0 to 100

已经在新的软件版本中进行了兼容设计

#2 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158666 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: GPIO: Increase the compatibility of EVT1 and EVT2The power-up and power-down logic of GPIO59 in EVT1 and EVT2 is modifiedto be consistent to

meet the use of the same MCU code.TC-RID: 1200-0100806IssueID: TS-R-DF-113244Change-Id: I2fd16d1b9309edbefff9e178ce0a456b10a58bd0

#3 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160723 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:GPIO: Increase the compatibility of DVT PVT and MPThe power-up and power-down logic of GPIO59 in DVT PVT and MP is modifiedto be consistent to
meet the use of the same MCU code.TC-RID: 1200-0100806IssueID: TS-R-DF-113244Change-Id: I2349fafc6aa7e98a906a35965bb1198d2840ea59

#4 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

163172 general/boot_images Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP:BOOT: Modify the configuration of GPIO59 in xbl phaseThe default state of GPIO59 in the XBL phase will cause theMCU to detect a power-on abnormality,

so it has been modifiedhere for EVT1 and EVT2 compatibility.TC-RID: 1200-0100806IssueID: TS-R-DF-113244Change-Id:

Ib2a1907efcfbd52e7a3c4f2fdbee5a7160a90268(cherry picked from commit cda75263611135f36b46dcdd59c28a9a478e8fa6)
